All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.rio
Class MVACallableStatement

    com.sas.rio.MVACallableStatement

All Implemented Interfaces:
  com.sas.rio.RIOStatementInterface, com.sas.sql.RIOStatement, java.sql.CallableStatement, java.sql.PreparedStatement, java.sql.Statement, java.sql.Wrapper

    public class MVACallableStatement

implements java.sql.CallableStatement

Note: None of the methods in this class are supported because SAS software does not support stored procedures. All methods in this class throw a SQLException.

Field Summary

Fields inherited from class com.sas.rio.MVAStatement
`_currentResultSet, describe, librefs, m_sasifyTableNames, maxFieldSize`

Method Summary
`java.sql.Array` | `getArray(int i)` JDBC 2.0 Gets an Array OUT parameter.
`java.sql.Array` | `getArray(java.lang.String parameterName)` Retrieves the value of the designated JDBC ARRAY parameter as an Array object in the Java programming language.
`java.math.BigDecimal` | `getBigDecimal(int parameterIndex)` Deprecated.
`java.math.BigDecimal` | `getBigDecimal(int parameterIndex, int scale)` Deprecated.
`java.math.BigDecimal` | `getBigDecimal(java.lang.String parameterName)` Retrieves the value of the designated JDBC NUMERIC parameter as a java.math.BigDecimal object with as many digits to the right of the decimal point as the value contains.
`java.sql.Blob` | `getBlob(int i)` JDBC 2.0 Gets a BLOB OUT parameter.
`java.sql.Blob` | `getBlob(java.lang.String parameterName)` Retrieves the value of the designated JDBC BLOB parameter as a Blob object in the Java programming language.
`boolean` | `getBoolean(int parameterIndex)` Retrieves the value of the designated JDBC BIT parameter as a boolean in the Java programming language.
`boolean` | `getBoolean(java.lang.String parameterName)` Retrieves the value of the designated JDBC BIT parameter as a boolean in the Java programming language.
`byte` | `getByte(int parameterIndex)` Retrieves the value of the designated JDBC TINYINT parameter as a byte in the Java programming language.
`byte` | `getByte(java.lang.String parameterName)` Retrieves the value of the designated JDBC TINYINT parameter as a byte in the Java programming language.
`byte[]` | `getBytes(int parameterIndex)` Retrieves the value of the designated JDBC BINARY or VARBINARY parameter as an array of byte values in the Java programming language.
`byte[]` | `getBytes(java.lang.String parameterName)` Retrieves the value of the designated JDBC BINARY or VARBINARY parameter as an array of byte values in the Java programming language.
`java.io.Reader` | `getCharacterStream(int parameterIndex)` This method is not supported.
`java.io.Reader` | `getCharacterStream(java.lang.String parameterName)` This method is not supported.
`java.sql.Clob` | `getClob(int i)` JDBC 2.0 Gets a CLOB OUT parameter.
`java.sql.Clob` | `getClob(java.lang.String parameterName)` Retrieves the value of the designated JDBC CLOB parameter as a Clob object in the Java programming language.
`java.sql.Date` | `getDate(int parameterIndex)` Retrieves the value of the designated JDBC DATE parameter as a java.sql.Date object.
`java.sql.Date` | `getDate(int parameterIndex, java.util.Calendar cal)` Gets the value of a SQL DATE parameter as a java.sql.Date object.
`java.sql.Date` | `getDate(java.lang.String parameterName)` Retrieves the value of the designated JDBC DATE parameter as a java.sql.Date object.
`java.sql.Date` | `getDate(java.lang.String parameterName, java.util.Calendar cal)` Retrieves the value of the designated JDBC DATE parameter as a java.sql.Date object.
`double` | `getDouble(int parameterIndex)` Retrieves the value of the designated JDBC DOUBLE parameter as a double in the Java programming language.
`double` | `getDouble(java.lang.String parameterName)` Retrieves the value of the designated JDBC DOUBLE parameter as a double in the Java programming language.
`float` | `getFloat(int parameterIndex)` Retrieves the value of the designated JDBC FLOAT parameter as a float in the Java programming language.
`float` | `getFloat(java.lang.String parameterName)` Retrieves the value of the designated JDBC FLOAT parameter as a float in the Java programming language.
`int` | `getInt(int parameterIndex)` Retrieves the value of the designated JDBC INTEGER parameter as an int in the Java programming language.
`int` | `getInt(java.lang.String parameterName)` Retrieves the value of the designated JDBC INTEGER parameter as an int in the Java programming language.
`long` | `getLong(int parameterIndex)` Retrieves the value of the designated JDBC BIGINT parameter as a long in the Java programming language.
`long` | `getLong(java.lang.String parameterName)` Retrieves the value of the designated JDBC BIGINT parameter as a long in the Java programming language.
`java.io.Reader` | `getNCharacterStream(int parameterIndex)` This method is not supported.
`java.io.Reader` | `getNCharacterStream(java.lang.String parameterName)` This method is not supported.
`java.sql.NClob` | `getNClob(int parameterIndex)` This method is not supported.
`java.sql.NClob` | `getNClob(java.lang.String parameterName)` This method is not supported.
`java.lang.String` | `getNString(int parameterIndex)` This method is not supported.
`java.lang.String` | `getNString(java.lang.String parameterName)` This method is not supported.
`java.lang.Object` | `getObject(int parameterIndex)` Retrieves the value of the designated parameter as an Object in the Java programming language.
`java.lang.Object` | `getObject(int i, java.util.Map<java.lang.String,java.lang.Class<?>> map)` JDBC 2.0 Gets an object representing the value of OUT parameter @i.
`java.lang.Object` | `getObject(java.lang.String parameterName)` Retrieves the value of the designated parameter as an Object in the Java programming language.
`java.lang.Object` | `getObject(java.lang.String parameterName, java.util.Map<java.lang.String,java.lang.Class<?>> map)` Retrieves the value of the designated parameter as an Object in the Java programming language.
`java.sql.Ref` | `getRef(int i)` JDBC 2.0 Gets a REF(<structured-type>) OUT parameter.
`java.sql.Ref` | `getRef(java.lang.String parameterName)` Retrieves the value of the designated JDBC REF() parameter as a Ref object in the Java programming language.
`java.sql.RowId` | `getRowId(int parameterIndex)` This method is not supported.
`java.sql.RowId` | `getRowId(java.lang.String parameterName)` This method is not supported.
`short` | `getShort(int parameterIndex)` Retrieves the value of the designated JDBC SMALLINT parameter as a short in the Java programming language.
`short` | `getShort(java.lang.String parameterName)` Retrieves the value of the designated JDBC SMALLINT parameter as a short in the Java programming language.
`java.sql.SQLXML` | `getSQLXML(int parameterIndex)` This method is not supported.
`java.sql.SQLXML` | `getSQLXML(java.lang.String parameterName)` This method is not supported.
`java.lang.String` | `getString(int parameterIndex)` Retrieves the value of the designated JDBC CHAR, VARCHAR, or LONGVARCHAR parameter as a String in the Java programming language.
`java.lang.String` | `getString(java.lang.String parameterName)` Retrieves the value of the designated JDBC CHAR, VARCHAR, or LONGVARCHAR parameter as a String in the Java programming language.
`java.sql.Time` | `getTime(int parameterIndex)` Retrieves the value of the designated JDBC TIME parameter as a java.sql.Time object.
`java.sql.Time` | `getTime(int parameterIndex, java.util.Calendar cal)` Gets the value of a SQL TIME parameter as a java.sql.Time object.
`java.sql.Time` | `getTime(java.lang.String parameterName)` Retrieves the value of the designated JDBC TIME parameter as a java.sql.Time object.
`java.sql.Time` | `getTime(java.lang.String parameterName, java.util.Calendar cal)` Retrieves the value of the designated JDBC TIME parameter as a java.sql.Time object.
`java.sql.Timestamp` | `getTimestamp(int parameterIndex)` Retrieves the value of the designated JDBC TIMESTAMP parameter as a java.sql.Timestamp object.
`java.sql.Timestamp` | `getTimestamp(int parameterIndex, java.util.Calendar cal)` Get the value of a SQL TIMESTAMP parameter as a java.sql.Timestamp object.
`java.sql.Timestamp` | `getTimestamp(java.lang.String parameterName)` Retrieves the value of the designated JDBC TIMESTAMP parameter as a java.sql.Timestamp object.
`java.sql.Timestamp` | `getTimestamp(java.lang.String parameterName, java.util.Calendar cal)` Retrieves the value of the designated JDBC TIMESTAMP parameter as a java.sql.Timestamp object.
`java.net.URL` | `getURL(int parameterIndex)` Retrieves the value of a JDBC DATALINK parameter as a java.net.URL object.
`java.net.URL` | `getURL(java.lang.String parameterName)` Retrieves the value of a JDBC DATALINK parameter as a java.net.URL object.
`void` | `registerOutParameter(int parameterIndex, int sqlType)` Registers the OUT parameter in ordinal position parameterIndex to the JDBC type sqlType.
`void` | `registerOutParameter(int parameterIndex, int sqlType, int scale)` Registers the OUT parameter in ordinal position parameterIndex to the JDBC type sqlType.
`void` | `registerOutParameter(int parameterIndex, int sqlType, java.lang.String x)` JDBC 2.0 This method is not yet supported.
`void` | `registerOutParameter(java.lang.String parameterName, int sqlType)` Registers the OUT parameter in ordinal position parameterIndex to the JDBC type sqlType.
`void` | `registerOutParameter(java.lang.String parameterName, int sqlType, int scale)` Registers the OUT parameter in ordinal position parameterIndex to the JDBC type sqlType.
`void` | `registerOutParameter(java.lang.String parameterName, int sqlType, java.lang.String typeName)` Registers the OUT parameter in ordinal position parameterIndex to the JDBC type sqlType.
`void` | `setAsciiStream(java.lang.String parameterName, java.io.InputStream x)` This method is not supported.
`void` | `setAsciiStream(java.lang.String parameterName, java.io.InputStream x, int length)` Sets the designated parameter to the given input stream, which will have the specified number of bytes.
`void` | `setAsciiStream(java.lang.String parameterName, java.io.InputStream x, long length)` This method is not supported.
`void` | `setBigDecimal(java.lang.String parameterName, java.math.BigDecimal x)` Sets the designated parameter to the given java.math.BigDecimal value.
`void` | `setBinaryStream(java.lang.String parameterName, java.io.InputStream x)` This method is not supported.
`void` | `setBinaryStream(java.lang.String parameterName, java.io.InputStream x, int length)` Sets the designated parameter to the given input stream, which will have the specified number of bytes.
`void` | `setBinaryStream(java.lang.String parameterName, java.io.InputStream x, long length)` This method is not supported.
`void` | `setBlob(java.lang.String parameterName, java.sql.Blob x)` This method is not supported.
`void` | `setBlob(java.lang.String parameterName, java.io.InputStream inputStream)` This method is not supported.
`void` | `setBlob(java.lang.String parameterName, java.io.InputStream inputStream, long length)` This method is not supported.
`void` | `setBoolean(java.lang.String parameterName, boolean x)` Sets the designated parameter to the given Java boolean value.
`void` | `setByte(java.lang.String parameterName, byte x)` Sets the designated parameter to the given Java byte value.
`void` | `setBytes(java.lang.String parameterName, byte[] x)` Sets the designated parameter to the given Java array of bytes.
`void` | `setCharacterStream(java.lang.String parameterName, java.io.Reader reader)` This method is not supported.
`void` | `setCharacterStream(java.lang.String parameterName, java.io.Reader reader, int length)` Sets the designated parameter to the given Reader object, which is the given number of characters long.
`void` | `setCharacterStream(java.lang.String parameterName, java.io.Reader reader, long length)` This method is not supported.
`void` | `setClob(java.lang.String parameterName, java.sql.Clob x)` This method is not supported.
`void` | `setClob(java.lang.String parameterName, java.io.Reader reader)` This method is not supported.
`void` | `setClob(java.lang.String parameterName, java.io.Reader reader, long length)` This method is not supported.
`void` | `setDate(java.lang.String parameterName, java.sql.Date x)` Sets the designated parameter to the given java.sql.Date value.
`void` | `setDate(java.lang.String parameterName, java.sql.Date x, java.util.Calendar cal)` Sets the designated parameter to the given java.sql.Date value.
`void` | `setDouble(java.lang.String parameterName, double x)` Sets the designated parameter to the given Java double value.
`void` | `setFloat(java.lang.String parameterName, float x)` Sets the designated parameter to the given Java float value.
`void` | `setInt(java.lang.String parameterName, int x)` Sets the designated parameter to the given Java int value.
`void` | `setLong(java.lang.String parameterName, long x)` Sets the designated parameter to the given Java long value.
`void` | `setNCharacterStream(java.lang.String parameterName, java.io.Reader value)` This method is not supported.
`void` | `setNCharacterStream(java.lang.String parameterName, java.io.Reader value, long length)` This method is not supported.
`void` | `setNClob(java.lang.String parameterName, java.sql.NClob value)` This method is not supported.
`void` | `setNClob(java.lang.String parameterName, java.io.Reader reader)` This method is not supported.
`void` | `setNClob(java.lang.String parameterName, java.io.Reader reader, long length)` This method is not supported.
`void` | `setNString(java.lang.String parameterName, java.lang.String value)` This method is not supported.
`void` | `setNull(java.lang.String parameterName, int sqlType)` Sets the designated parameter to SQL NULL.
`void` | `setNull(java.lang.String parameterName, int sqlType, java.lang.String typeName)` Sets the designated parameter to SQL NULL.
`void` | `setObject(java.lang.String parameterName, java.lang.Object x)` Sets the value of the designated parameter with the given object.
`void` | `setObject(java.lang.String parameterName, java.lang.Object x, int targetSqlType)` Sets the value of the designated parameter with the given object.
`void` | `setObject(java.lang.String parameterName, java.lang.Object x, int targetSqlType, int scale)` Sets the value of the designated parameter with the given object.
`void` | `setRowId(java.lang.String parameterName, java.sql.RowId x)` This method is not supported.
`void` | `setShort(java.lang.String parameterName, short x)` Sets the designated parameter to the given Java short value.
`void` | `setSQLXML(java.lang.String parameterName, java.sql.SQLXML xmlObject)` This method is not supported.
`void` | `setString(java.lang.String parameterName, java.lang.String x)` Retrieves the value of the designated JDBC CHAR, VARCHAR, or LONGVARCHAR parameter as a String in the Java programming language.
`void` | `setTime(java.lang.String parameterName, java.sql.Time x)` Sets the designated parameter to the given java.sql.Time value.
`void` | `setTime(java.lang.String parameterName, java.sql.Time x, java.util.Calendar cal)` Sets the designated parameter to the given java.sql.Time value.
`void` | `setTimestamp(java.lang.String parameterName, java.sql.Timestamp x)` Sets the designated parameter to the given java.sql.Timestamp value.
`void` | `setTimestamp(java.lang.String parameterName, java.sql.Timestamp x, java.util.Calendar cal)` Sets the designated parameter to the given java.sql.Timestamp value.
`void` | `setURL(java.lang.String parameterName, java.net.URL val)` Sets the designated parameter to the given java.net.URL object.
`boolean` | `wasNull()` Retrieves whether the last OUT parameter read had the value of SQL NULL.

Methods inherited from class com.sas.rio.MVAPreparedStatement
`addBatch, clearParameters, execute, executeQuery, executeUpdate, getMetaData, getParameterMetaData, setArray, setAsciiStream, setAsciiStream, setAsciiStream, setBigDecimal, setBinaryStream, setBinaryStream, setBinaryStream, setBlob, setBlob, setBlob, setBoolean, setByte, setBytes, setCharacterStream, setCharacterStream, setCharacterStream, setClob, setClob, setClob, setDate, setDate, setDouble, setFloat, setInt, setLong, setNCharacterStream, setNCharacterStream, setNClob, setNClob, setNClob, setNString, setNull, setNull, setObject, setObject, setObject, setRef, setRowId, setShort, setSQLXML, setString, setTime, setTime, setTimestamp, setTimestamp, setUnicodeStream, setURL`

Methods inherited from class com.sas.rio.MVAStatement
`addBatch, addBatch2, cancel, checkClosed, clearBatch, clearWarnings, close, createDualResultSet, createTable, deleteRioTable, deleteRioTable, deleteTable, deleteTable, execute, execute, execute, execute, execute2, executeBatch, executeQuery, executeQuery2, executeUpdate, executeUpdate, executeUpdate, executeUpdate, executeUpdate2, getConnection, getDualRioTable, getFetchDirection, getFetchSize, getGeneratedKeys, getMaxFieldSize, getMaxRows, getMoreResults, getMoreResults, getQueryTimeout, getResultSet, getResultSetConcurrency, getResultSetHoldability, getResultSetType, getRioTable, getRioTable, getTable, getTable, getUpdateCount, getWarnings, isClosed, isPoolable, isWrapperFor, setCursorName, setEscapeProcessing, setFetchDirection, setFetchSize, setMaxFieldSize, setMaxRows, setPoolable, setQueryTimeout, unwrap`

Method Detail

### registerOutParameter

    public void registerOutParameter(int parameterIndex,
                                     int sqlType)
                              throws java.sql.SQLException

  Registers the OUT parameter in ordinal position parameterIndex to the JDBC type sqlType. This method is not supported.

  Specified by:
    `registerOutParameter` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### registerOutParameter

    public void registerOutParameter(int parameterIndex,
                                     int sqlType,
                                     java.lang.String x)
                              throws java.sql.SQLException

  JDBC 2.0 This method is not yet supported.

  Specified by:
    `registerOutParameter` in interface `java.sql.CallableStatement`
  Parameters:
    `parameterIndex` - The parameter index. The first parameter is 1, the second parameter is 2, and so on.
    `sqlType` - An SQL type code that is defined by java.sql.Types.
    `x` - An input String.
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### registerOutParameter

    public void registerOutParameter(int parameterIndex,
                                     int sqlType,
                                     int scale)
                              throws java.sql.SQLException

  Registers the OUT parameter in ordinal position parameterIndex to the JDBC type sqlType. This method is not supported.

  Specified by:
    `registerOutParameter` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### wasNull

    public boolean wasNull()
                    throws java.sql.SQLException

  Retrieves whether the last OUT parameter read had the value of SQL NULL. This method is not supported.

  Specified by:
    `wasNull` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### getString

    public java.lang.String getString(int parameterIndex)
                               throws java.sql.SQLException

  Retrieves the value of the designated JDBC CHAR, VARCHAR, or LONGVARCHAR parameter as a String in the Java programming language. This method is not supported.

  Specified by:
    `getString` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### getBoolean

    public boolean getBoolean(int parameterIndex)
                       throws java.sql.SQLException

  Retrieves the value of the designated JDBC BIT parameter as a boolean in the Java programming language. This method is not supported.

  Specified by:
    `getBoolean` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### getByte

    public byte getByte(int parameterIndex)
                 throws java.sql.SQLException

  Retrieves the value of the designated JDBC TINYINT parameter as a byte in the Java programming language. This method is not supported.

  Specified by:
    `getByte` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### getShort

    public short getShort(int parameterIndex)
                   throws java.sql.SQLException

  Retrieves the value of the designated JDBC SMALLINT parameter as a short in the Java programming language. This method is not supported.

  Specified by:
    `getShort` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### getInt

    public int getInt(int parameterIndex)
               throws java.sql.SQLException

  Retrieves the value of the designated JDBC INTEGER parameter as an int in the Java programming language. This method is not supported.

  Specified by:
    `getInt` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### getLong

    public long getLong(int parameterIndex)
                 throws java.sql.SQLException

  Retrieves the value of the designated JDBC BIGINT parameter as a long in the Java programming language. This method is not supported.

  Specified by:
    `getLong` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### getFloat

    public float getFloat(int parameterIndex)
                   throws java.sql.SQLException

  Retrieves the value of the designated JDBC FLOAT parameter as a float in the Java programming language. This method is not supported.

  Specified by:
    `getFloat` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### getDouble

    public double getDouble(int parameterIndex)
                     throws java.sql.SQLException

  Retrieves the value of the designated JDBC DOUBLE parameter as a double in the Java programming language. This method is not supported.

  Specified by:
    `getDouble` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### getBigDecimal

    public java.math.BigDecimal getBigDecimal(int parameterIndex,
                                              int scale)
                                       throws java.sql.SQLException

  Deprecated.

  Retrieves the value of the designated JDBC NUMERIC parameter as a java.math.BigDecimal object with as many digits to the right of the decimal point as the value contains. This method is not supported.

  Specified by:
    `getBigDecimal` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### getBytes

    public byte[] getBytes(int parameterIndex)
                    throws java.sql.SQLException

  Retrieves the value of the designated JDBC BINARY or VARBINARY parameter as an array of byte values in the Java programming language. This method is not supported.

  Specified by:
    `getBytes` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### getDate

    public java.sql.Date getDate(int parameterIndex)
                          throws java.sql.SQLException

  Retrieves the value of the designated JDBC DATE parameter as a java.sql.Date object. This method is not supported.

  Specified by:
    `getDate` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### getTime

    public java.sql.Time getTime(int parameterIndex)
                          throws java.sql.SQLException

  Retrieves the value of the designated JDBC TIME parameter as a java.sql.Time object. This method is not supported.

  Specified by:
    `getTime` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### getTimestamp

    public java.sql.Timestamp getTimestamp(int parameterIndex)
                                    throws java.sql.SQLException

  Retrieves the value of the designated JDBC TIMESTAMP parameter as a java.sql.Timestamp object. This method is not supported.

  Specified by:
    `getTimestamp` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### getObject

    public java.lang.Object getObject(int parameterIndex)
                               throws java.sql.SQLException

  Retrieves the value of the designated parameter as an Object in the Java programming language. This method is not supported.

  Specified by:
    `getObject` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### getBigDecimal

    public java.math.BigDecimal getBigDecimal(int parameterIndex)
                                       throws java.sql.SQLException

  Deprecated.

  JDBC 2.0 Gets the value of a NUMERIC parameter as a java.math.BigDecimal object. This method is not supported.

  Specified by:
    `getBigDecimal` in interface `java.sql.CallableStatement`
  Parameters:
    `parameterIndex` - the first parameter is 1, the second is 2, ...
  Returns:
    the parameter value (full precision); if the value is SQL NULL, the result is null
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### getObject

    public java.lang.Object getObject(int i,
                                      java.util.Map<java.lang.String,java.lang.Class<?>> map)
                               throws java.sql.SQLException

  JDBC 2.0 Gets an object representing the value of OUT parameter @i. Use the @map to determine the class from which to construct data of SQL structured and distinct types. This method is not supported.

  Specified by:
    `getObject` in interface `java.sql.CallableStatement`
  Parameters:
    `i` - the first parameter is 1, the second is 2, ...
    `map` - the mapping from SQL type names to Java classes
  Returns:
    a java.lang.Object holding the OUT parameter value.
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### getRef

    public java.sql.Ref getRef(int i)
                        throws java.sql.SQLException

  JDBC 2.0 Gets a REF(<structured-type>) OUT parameter. This method is not supported.

  Specified by:
    `getRef` in interface `java.sql.CallableStatement`
  Parameters:
    `i` - the first parameter is 1, the second is 2, ...
  Returns:
    an object representing data of an SQL REF Type
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### getBlob

    public java.sql.Blob getBlob(int i)
                          throws java.sql.SQLException

  JDBC 2.0 Gets a BLOB OUT parameter. This method is not supported.

  Specified by:
    `getBlob` in interface `java.sql.CallableStatement`
  Parameters:
    `i` - the first parameter is 1, the second is 2, ...
  Returns:
    an object representing a BLOB
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### getClob

    public java.sql.Clob getClob(int i)
                          throws java.sql.SQLException

  JDBC 2.0 Gets a CLOB OUT parameter. This method is not supported.

  Specified by:
    `getClob` in interface `java.sql.CallableStatement`
  Parameters:
    `i` - the first parameter is 1, the second is 2, ...
  Returns:
    an object representing a CLOB
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### getArray

    public java.sql.Array getArray(int i)
                            throws java.sql.SQLException

  JDBC 2.0 Gets an Array OUT parameter. This method is not supported.

  Specified by:
    `getArray` in interface `java.sql.CallableStatement`
  Parameters:
    `i` - the first parameter is 1, the second is 2, ...
  Returns:
    an object representing an SQL array
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### getDate

    public java.sql.Date getDate(int parameterIndex,
                                 java.util.Calendar cal)
                          throws java.sql.SQLException

  Gets the value of a SQL DATE parameter as a java.sql.Date object. This method is not supported.

  Specified by:
    `getDate` in interface `java.sql.CallableStatement`
  Parameters:
    `parameterIndex` - the first parameter is 1, the second is 2, ...
  Returns:
    the parameter value; if the value is SQL NULL, the result is null.
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### getTime

    public java.sql.Time getTime(int parameterIndex,
                                 java.util.Calendar cal)
                          throws java.sql.SQLException

  Gets the value of a SQL TIME parameter as a java.sql.Time object. This method is not supported.

  Specified by:
    `getTime` in interface `java.sql.CallableStatement`
  Parameters:
    `parameterIndex` - the first parameter is 1, the second is 2, ...
  Returns:
    the parameter value; if the value is SQL NULL, the result is null
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### getTimestamp

    public java.sql.Timestamp getTimestamp(int parameterIndex,
                                           java.util.Calendar cal)
                                    throws java.sql.SQLException

  Get the value of a SQL TIMESTAMP parameter as a java.sql.Timestamp object. This method is not supported.

  Specified by:
    `getTimestamp` in interface `java.sql.CallableStatement`
  Parameters:
    `parameterIndex` - the first parameter is 1, the second is 2, ...
  Returns:
    the parameter value; if the value is SQL NULL, the result is null
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### getArray

    public java.sql.Array getArray(java.lang.String parameterName)
                            throws java.sql.SQLException

  Retrieves the value of the designated JDBC ARRAY parameter as an Array object in the Java programming language. This method is not implemented.

  Specified by:
    `getArray` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### getBigDecimal

    public java.math.BigDecimal getBigDecimal(java.lang.String parameterName)
                                       throws java.sql.SQLException

  Retrieves the value of the designated JDBC NUMERIC parameter as a java.math.BigDecimal object with as many digits to the right of the decimal point as the value contains. This method is not implemented.

  Specified by:
    `getBigDecimal` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### getBlob

    public java.sql.Blob getBlob(java.lang.String parameterName)
                          throws java.sql.SQLException

  Retrieves the value of the designated JDBC BLOB parameter as a Blob object in the Java programming language. This method is not implemented.

  Specified by:
    `getBlob` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### getBoolean

    public boolean getBoolean(java.lang.String parameterName)
                       throws java.sql.SQLException

  Retrieves the value of the designated JDBC BIT parameter as a boolean in the Java programming language. This method is not implemented.

  Specified by:
    `getBoolean` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### getByte

    public byte getByte(java.lang.String parameterName)
                 throws java.sql.SQLException

  Retrieves the value of the designated JDBC TINYINT parameter as a byte in the Java programming language. This method is not implemented.

  Specified by:
    `getByte` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### getBytes

    public byte[] getBytes(java.lang.String parameterName)
                    throws java.sql.SQLException

  Retrieves the value of the designated JDBC BINARY or VARBINARY parameter as an array of byte values in the Java programming language. This method is not implemented.

  Specified by:
    `getBytes` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### getClob

    public java.sql.Clob getClob(java.lang.String parameterName)
                          throws java.sql.SQLException

  Retrieves the value of the designated JDBC CLOB parameter as a Clob object in the Java programming language. This method is not implemented.

  Specified by:
    `getClob` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### getDate

    public java.sql.Date getDate(java.lang.String parameterName)
                          throws java.sql.SQLException

  Retrieves the value of the designated JDBC DATE parameter as a java.sql.Date object. This method is not implemented.

  Specified by:
    `getDate` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### getDate

    public java.sql.Date getDate(java.lang.String parameterName,
                                 java.util.Calendar cal)
                          throws java.sql.SQLException

  Retrieves the value of the designated JDBC DATE parameter as a java.sql.Date object. This method is not implemented.

  Specified by:
    `getDate` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### getDouble

    public double getDouble(java.lang.String parameterName)
                     throws java.sql.SQLException

  Retrieves the value of the designated JDBC DOUBLE parameter as a double in the Java programming language. This method is not implemented.

  Specified by:
    `getDouble` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### getFloat

    public float getFloat(java.lang.String parameterName)
                   throws java.sql.SQLException

  Retrieves the value of the designated JDBC FLOAT parameter as a float in the Java programming language. This method is not implemented.

  Specified by:
    `getFloat` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### getInt

    public int getInt(java.lang.String parameterName)
               throws java.sql.SQLException

  Retrieves the value of the designated JDBC INTEGER parameter as an int in the Java programming language. This method is not implemented.

  Specified by:
    `getInt` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### getLong

    public long getLong(java.lang.String parameterName)
                 throws java.sql.SQLException

  Retrieves the value of the designated JDBC BIGINT parameter as a long in the Java programming language. This method is not implemented.

  Specified by:
    `getLong` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### getObject

    public java.lang.Object getObject(java.lang.String parameterName)
                               throws java.sql.SQLException

  Retrieves the value of the designated parameter as an Object in the Java programming language. This method is not implemented.

  Specified by:
    `getObject` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### getObject

    public java.lang.Object getObject(java.lang.String parameterName,
                                      java.util.Map<java.lang.String,java.lang.Class<?>> map)
                               throws java.sql.SQLException

  Retrieves the value of the designated parameter as an Object in the Java programming language. This method is not implemented.

  Specified by:
    `getObject` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### getRef

    public java.sql.Ref getRef(java.lang.String parameterName)
                        throws java.sql.SQLException

  Retrieves the value of the designated JDBC REF() parameter as a Ref object in the Java programming language. This method is not implemented.

  Specified by:
    `getRef` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### getShort

    public short getShort(java.lang.String parameterName)
                   throws java.sql.SQLException

  Retrieves the value of the designated JDBC SMALLINT parameter as a short in the Java programming language. This method is not implemented.

  Specified by:
    `getShort` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### getString

    public java.lang.String getString(java.lang.String parameterName)
                               throws java.sql.SQLException

  Retrieves the value of the designated JDBC CHAR, VARCHAR, or LONGVARCHAR parameter as a String in the Java programming language. This method is not implemented.

  Specified by:
    `getString` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### getTime

    public java.sql.Time getTime(java.lang.String parameterName,
                                 java.util.Calendar cal)
                          throws java.sql.SQLException

  Retrieves the value of the designated JDBC TIME parameter as a java.sql.Time object. This method is not implemented.

  Specified by:
    `getTime` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### getTime

    public java.sql.Time getTime(java.lang.String parameterName)
                          throws java.sql.SQLException

  Retrieves the value of the designated JDBC TIME parameter as a java.sql.Time object. This method is not implemented.

  Specified by:
    `getTime` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### getTimestamp

    public java.sql.Timestamp getTimestamp(java.lang.String parameterName)
                                    throws java.sql.SQLException

  Retrieves the value of the designated JDBC TIMESTAMP parameter as a java.sql.Timestamp object. This method is not implemented.

  Specified by:
    `getTimestamp` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### getTimestamp

    public java.sql.Timestamp getTimestamp(java.lang.String parameterName,
                                           java.util.Calendar cal)
                                    throws java.sql.SQLException

  Retrieves the value of the designated JDBC TIMESTAMP parameter as a java.sql.Timestamp object. This method is not implemented.

  Specified by:
    `getTimestamp` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### getURL

    public java.net.URL getURL(int parameterIndex)
                        throws java.sql.SQLException

  Retrieves the value of a JDBC DATALINK parameter as a java.net.URL object. This method is not implemented.

  Specified by:
    `getURL` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### getURL

    public java.net.URL getURL(java.lang.String parameterName)
                        throws java.sql.SQLException

  Retrieves the value of a JDBC DATALINK parameter as a java.net.URL object. This method is not implemented.

  Specified by:
    `getURL` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### registerOutParameter

    public void registerOutParameter(java.lang.String parameterName,
                                     int sqlType)
                              throws java.sql.SQLException

  Registers the OUT parameter in ordinal position parameterIndex to the JDBC type sqlType. This method is not implemented.

  Specified by:
    `registerOutParameter` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### registerOutParameter

    public void registerOutParameter(java.lang.String parameterName,
                                     int sqlType,
                                     int scale)
                              throws java.sql.SQLException

  Registers the OUT parameter in ordinal position parameterIndex to the JDBC type sqlType. This method is not implemented.

  Specified by:
    `registerOutParameter` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### registerOutParameter

    public void registerOutParameter(java.lang.String parameterName,
                                     int sqlType,
                                     java.lang.String typeName)
                              throws java.sql.SQLException

  Registers the OUT parameter in ordinal position parameterIndex to the JDBC type sqlType. This method is not implemented.

  Specified by:
    `registerOutParameter` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### setAsciiStream

    public void setAsciiStream(java.lang.String parameterName,
                               java.io.InputStream x,
                               int length)
                        throws java.sql.SQLException

  Sets the designated parameter to the given input stream, which will have the specified number of bytes. This method is not implemented.

  Specified by:
    `setAsciiStream` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### setBigDecimal

    public void setBigDecimal(java.lang.String parameterName,
                              java.math.BigDecimal x)
                       throws java.sql.SQLException

  Sets the designated parameter to the given java.math.BigDecimal value. This method is not implemented.

  Specified by:
    `setBigDecimal` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### setBinaryStream

    public void setBinaryStream(java.lang.String parameterName,
                                java.io.InputStream x,
                                int length)
                         throws java.sql.SQLException

  Sets the designated parameter to the given input stream, which will have the specified number of bytes. This method is not implemented.

  Specified by:
    `setBinaryStream` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### setBoolean

    public void setBoolean(java.lang.String parameterName,
                           boolean x)
                    throws java.sql.SQLException

  Sets the designated parameter to the given Java boolean value. This method is not implemented.

  Specified by:
    `setBoolean` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### setByte

    public void setByte(java.lang.String parameterName,
                        byte x)
                 throws java.sql.SQLException

  Sets the designated parameter to the given Java byte value. This method is not implemented.

  Specified by:
    `setByte` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### setBytes

    public void setBytes(java.lang.String parameterName,
                         byte[] x)
                  throws java.sql.SQLException

  Sets the designated parameter to the given Java array of bytes. This method is not implemented.

  Specified by:
    `setBytes` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### setCharacterStream

    public void setCharacterStream(java.lang.String parameterName,
                                   java.io.Reader reader,
                                   int length)
                            throws java.sql.SQLException

  Sets the designated parameter to the given Reader object, which is the given number of characters long. This method is not implemented.

  Specified by:
    `setCharacterStream` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### setDate

    public void setDate(java.lang.String parameterName,
                        java.sql.Date x)
                 throws java.sql.SQLException

  Sets the designated parameter to the given java.sql.Date value. This method is not implemented.

  Specified by:
    `setDate` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### setDate

    public void setDate(java.lang.String parameterName,
                        java.sql.Date x,
                        java.util.Calendar cal)
                 throws java.sql.SQLException

  Sets the designated parameter to the given java.sql.Date value. This method is not implemented.

  Specified by:
    `setDate` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### setDouble

    public void setDouble(java.lang.String parameterName,
                          double x)
                   throws java.sql.SQLException

  Sets the designated parameter to the given Java double value. This method is not implemented.

  Specified by:
    `setDouble` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### setFloat

    public void setFloat(java.lang.String parameterName,
                         float x)
                  throws java.sql.SQLException

  Sets the designated parameter to the given Java float value. This method is not implemented.

  Specified by:
    `setFloat` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### setInt

    public void setInt(java.lang.String parameterName,
                       int x)
                throws java.sql.SQLException

  Sets the designated parameter to the given Java int value. This method is not implemented.

  Specified by:
    `setInt` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### setLong

    public void setLong(java.lang.String parameterName,
                        long x)
                 throws java.sql.SQLException

  Sets the designated parameter to the given Java long value. This method is not implemented.

  Specified by:
    `setLong` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### setNull

    public void setNull(java.lang.String parameterName,
                        int sqlType)
                 throws java.sql.SQLException

  Sets the designated parameter to SQL NULL. This method is not implemented.

  Specified by:
    `setNull` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### setNull

    public void setNull(java.lang.String parameterName,
                        int sqlType,
                        java.lang.String typeName)
                 throws java.sql.SQLException

  Sets the designated parameter to SQL NULL. This method is not implemented.

  Specified by:
    `setNull` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### setObject

    public void setObject(java.lang.String parameterName,
                          java.lang.Object x)
                   throws java.sql.SQLException

  Sets the value of the designated parameter with the given object. This method is not implemented.

  Specified by:
    `setObject` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### setObject

    public void setObject(java.lang.String parameterName,
                          java.lang.Object x,
                          int targetSqlType)
                   throws java.sql.SQLException

  Sets the value of the designated parameter with the given object. This method is not implemented.

  Specified by:
    `setObject` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### setObject

    public void setObject(java.lang.String parameterName,
                          java.lang.Object x,
                          int targetSqlType,
                          int scale)
                   throws java.sql.SQLException

  Sets the value of the designated parameter with the given object. This method is not implemented.

  Specified by:
    `setObject` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### setShort

    public void setShort(java.lang.String parameterName,
                         short x)
                  throws java.sql.SQLException

  Sets the designated parameter to the given Java short value. This method is not implemented.

  Specified by:
    `setShort` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### setString

    public void setString(java.lang.String parameterName,
                          java.lang.String x)
                   throws java.sql.SQLException

  Retrieves the value of the designated JDBC CHAR, VARCHAR, or LONGVARCHAR parameter as a String in the Java programming language. This method is not implemented.

  Specified by:
    `setString` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### setTime

    public void setTime(java.lang.String parameterName,
                        java.sql.Time x)
                 throws java.sql.SQLException

  Sets the designated parameter to the given java.sql.Time value. This method is not implemented.

  Specified by:
    `setTime` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### setTime

    public void setTime(java.lang.String parameterName,
                        java.sql.Time x,
                        java.util.Calendar cal)
                 throws java.sql.SQLException

  Sets the designated parameter to the given java.sql.Time value. This method is not implemented.

  Specified by:
    `setTime` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### setTimestamp

    public void setTimestamp(java.lang.String parameterName,
                             java.sql.Timestamp x)
                      throws java.sql.SQLException

  Sets the designated parameter to the given java.sql.Timestamp value. This method is not implemented.

  Specified by:
    `setTimestamp` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### setTimestamp

    public void setTimestamp(java.lang.String parameterName,
                             java.sql.Timestamp x,
                             java.util.Calendar cal)
                      throws java.sql.SQLException

  Sets the designated parameter to the given java.sql.Timestamp value. This method is not implemented.

  Specified by:
    `setTimestamp` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### setURL

    public void setURL(java.lang.String parameterName,
                       java.net.URL val)
                throws java.sql.SQLException

  Sets the designated parameter to the given java.net.URL object. This method is not implemented.

  Specified by:
    `setURL` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

### getRowId

    public java.sql.RowId getRowId(int parameterIndex)
                            throws java.sql.SQLException

  This method is not supported.

  Retrieves the value of the designated JDBC `ROWID` parameter as a `java.sql.RowId` object.

  Specified by:
    `getRowId` in interface `java.sql.CallableStatement`
  Parameters:
    `parameterIndex` - the first parameter is 1, the second is 2,...

  Throws:
    `java.sql.SQLException` - Always thrown, to indicate that this method is not implemented.

  Since:
    1.6

### getRowId

    public java.sql.RowId getRowId(java.lang.String parameterName)
                            throws java.sql.SQLException

  This method is not supported.

  Retrieves the value of the designated JDBC `ROWID` parameter as a `java.sql.RowId` object.

  Specified by:
    `getRowId` in interface `java.sql.CallableStatement`
  Parameters:
    `parameterName` - the name of the parameter

  Throws:
    `java.sql.SQLException` - Always thrown, to indicate that this method is not implemented.

  Since:
    1.6

### setRowId

    public void setRowId(java.lang.String parameterName,
                         java.sql.RowId x)
                  throws java.sql.SQLException

  This method is not supported.

  Sets the designated parameter to the given `java.sql.RowId` object. The driver converts this to a SQL `ROWID` when it sends it to the database.

  Specified by:
    `setRowId` in interface `java.sql.CallableStatement`
  Parameters:
    `parameterName` - the name of the parameter
    `x` - the parameter value

  Throws:
    `java.sql.SQLException` - Always thrown, to indicate that this method is not implemented.

  Since:
    1.6

### setNString

    public void setNString(java.lang.String parameterName,
                           java.lang.String value)
                    throws java.sql.SQLException

  This method is not supported.

  Sets the designated parameter to the given `String` object. The driver converts this to a SQL `NCHAR` or `NVARCHAR` or `LONGNVARCHAR`

  Specified by:
    `setNString` in interface `java.sql.CallableStatement`
  Parameters:
    `parameterName` - the name of the parameter to be set
    `value` - the parameter value

  Throws:
    `java.sql.SQLException` - Always thrown, to indicate that this method is not implemented.

  Since:
    1.6

### setNCharacterStream

    public void setNCharacterStream(java.lang.String parameterName,
                                    java.io.Reader value,
                                    long length)
                             throws java.sql.SQLException

  This method is not supported.

  Sets the designated parameter to a `Reader` object. The `Reader` reads the data till end-of-file is reached. The driver does the necessary conversion from Java character format to the national character set in the database.

  Specified by:
    `setNCharacterStream` in interface `java.sql.CallableStatement`
  Parameters:
    `parameterName` - the name of the parameter to be set
    `value` - the parameter value
    `length` - the number of characters in the parameter data.

  Throws:
    `java.sql.SQLException` - Always thrown, to indicate that this method is not implemented.

  Since:
    1.6

### setNClob

    public void setNClob(java.lang.String parameterName,
                         java.sql.NClob value)
                  throws java.sql.SQLException

  This method is not supported.

  Sets the designated parameter to a `java.sql.NClob` object. The object implements the `java.sql.NClob` interface. This `NClob` object maps to a SQL `NCLOB`.

  Specified by:
    `setNClob` in interface `java.sql.CallableStatement`
  Parameters:
    `parameterName` - the name of the parameter to be set
    `value` - the parameter value

  Throws:
    `java.sql.SQLException` - Always thrown, to indicate that this method is not implemented.

  Since:
    1.6

### setClob

    public void setClob(java.lang.String parameterName,
                        java.io.Reader reader,
                        long length)
                 throws java.sql.SQLException

  This method is not supported.

  Sets the designated parameter to a `Reader` object. The `reader` must contain the number of characters specified by length otherwise a `SQLException` will be generated when the `CallableStatement` is executed. This method differs from the `setCharacterStream (int, Reader, int)` method because it informs the driver that the parameter value should be sent to the server as a `CLOB`. When the `setCharacterStream` method is used, the driver may have to do extra work to determine whether the parameter data should be send to the server as a `LONGVARCHAR` or a `CLOB`

  Specified by:
    `setClob` in interface `java.sql.CallableStatement`
  Parameters:
    `parameterName` - the name of the parameter to be set
    `reader` - An object that contains the data to set the parameter value to.
    `length` - the number of characters in the parameter data.

  Throws:
    `java.sql.SQLException` - Always thrown, to indicate that this method is not implemented.

  Since:
    1.6

### setBlob

    public void setBlob(java.lang.String parameterName,
                        java.io.InputStream inputStream,
                        long length)
                 throws java.sql.SQLException

  This method is not supported.

  Sets the designated parameter to a `InputStream` object. The `inputstream` must contain the number of characters specified by length, otherwise a `SQLException` will be generated when the `CallableStatement` is executed. This method differs from the `setBinaryStream (int, InputStream, int)` method because it informs the driver that the parameter value should be sent to the server as a `BLOB`. When the `setBinaryStream` method is used, the driver may have to do extra work to determine whether the parameter data should be sent to the server as a `LONGVARBINARY` or a `BLOB`

  Specified by:
    `setBlob` in interface `java.sql.CallableStatement`
  Parameters:
    `parameterName` - the name of the parameter to be set the second is 2, ...
    `inputStream` - An object that contains the data to set the parameter value to.
    `length` - the number of bytes in the parameter data.

  Throws:
    `java.sql.SQLException` - Always thrown, to indicate that this method is not implemented.

  Since:
    1.6

### setNClob

    public void setNClob(java.lang.String parameterName,
                         java.io.Reader reader,
                         long length)
                  throws java.sql.SQLException

  This method is not supported.

  Sets the designated parameter to a `Reader` object. The `reader` must contain the number of characters specified by length otherwise a `SQLException` will be generated when the `CallableStatement` is executed. This method differs from the `setCharacterStream (int, Reader, int)` method because it informs the driver that the parameter value should be sent to the server as a `NCLOB`. When the `setCharacterStream` method is used, the driver may have to do extra work to determine whether the parameter data should be send to the server as a `LONGNVARCHAR` or a `NCLOB`

  Specified by:
    `setNClob` in interface `java.sql.CallableStatement`
  Parameters:
    `parameterName` - the name of the parameter to be set
    `reader` - An object that contains the data to set the parameter value to.
    `length` - the number of characters in the parameter data.

  Throws:
    `java.sql.SQLException` - Always thrown, to indicate that this method is not implemented.

  Since:
    1.6

### getNClob

    public java.sql.NClob getNClob(int parameterIndex)
                            throws java.sql.SQLException

  This method is not supported.

  Retrieves the value of the designated JDBC `NCLOB` parameter as a `java.sql.NClob` object in the Java programming language.

  Specified by:
    `getNClob` in interface `java.sql.CallableStatement`
  Parameters:
    `parameterIndex` - the first parameter is 1, the second is 2, and so on Java programming language. If the value was SQL `NULL`, the value `null` is returned.

  Throws:
    `java.sql.SQLException` - Always thrown, to indicate that this method is not implemented.

  Since:
    1.6

### getNClob

    public java.sql.NClob getNClob(java.lang.String parameterName)
                            throws java.sql.SQLException

  This method is not supported.

  Retrieves the value of a JDBC `NCLOB` parameter as a `java.sql.NClob` object in the Java programming language.

  Specified by:
    `getNClob` in interface `java.sql.CallableStatement`
  Parameters:
    `parameterName` - the name of the parameter

  Throws:
    `java.sql.SQLException` - Always thrown, to indicate that this method is not implemented.

  Since:
    1.6

### setSQLXML

    public void setSQLXML(java.lang.String parameterName,
                          java.sql.SQLXML xmlObject)
                   throws java.sql.SQLException

  This method is not supported.

  Sets the designated parameter to the given `java.sql.SQLXML` object. The driver converts this to an `SQL XML` value when it sends it to the database.

  Specified by:
    `setSQLXML` in interface `java.sql.CallableStatement`
  Parameters:
    `parameterName` - the name of the parameter
    `xmlObject` - a `SQLXML` object that maps an `SQL XML` value

  Throws:
    `java.sql.SQLException` - Always thrown, to indicate that this method is not implemented.

  Since:
    1.6

### getSQLXML

    public java.sql.SQLXML getSQLXML(int parameterIndex)
                              throws java.sql.SQLException

  This method is not supported.

  Retrieves the value of the designated `SQL XML` parameter as a `java.sql.SQLXML` object in the Java programming language.

  Specified by:
    `getSQLXML` in interface `java.sql.CallableStatement`
  Parameters:
    `parameterIndex` - index of the first parameter is 1, the second is 2, ...

  Throws:
    `java.sql.SQLException` - Always thrown, to indicate that this method is not implemented.

  Since:
    1.6

### getSQLXML

    public java.sql.SQLXML getSQLXML(java.lang.String parameterName)
                              throws java.sql.SQLException

  This method is not supported.

  Retrieves the value of the designated `SQL XML` parameter as a `java.sql.SQLXML` object in the Java programming language.

  Specified by:
    `getSQLXML` in interface `java.sql.CallableStatement`
  Parameters:
    `parameterName` - the name of the parameter

  Throws:
    `java.sql.SQLException` - Always thrown, to indicate that this method is not implemented.

  Since:
    1.6

### getNString

    public java.lang.String getNString(int parameterIndex)
                                throws java.sql.SQLException

  This method is not supported.

  Retrieves the value of the designated `NCHAR`, `NVARCHAR` or `LONGNVARCHAR` parameter as a `String` in the Java programming language.

  For the fixed-length type JDBC `NCHAR`, the `String` object returned has exactly the same value the SQL `NCHAR` value had in the database, including any padding added by the database.

  Specified by:
    `getNString` in interface `java.sql.CallableStatement`
  Parameters:
    `parameterIndex` - index of the first parameter is 1, the second is 2, ...

  Throws:
    `java.sql.SQLException` - Always thrown, to indicate that this method is not implemented.

  Since:
    1.6
  See Also:
    `setNString(java.lang.String, java.lang.String)`

### getNString

    public java.lang.String getNString(java.lang.String parameterName)
                                throws java.sql.SQLException

  This method is not supported.

  Retrieves the value of the designated `NCHAR`, `NVARCHAR` or `LONGNVARCHAR` parameter as a `String` in the Java programming language.

  For the fixed-length type JDBC `NCHAR`, the `String` object returned has exactly the same value the SQL `NCHAR` value had in the database, including any padding added by the database.

  Specified by:
    `getNString` in interface `java.sql.CallableStatement`
  Parameters:
    `parameterName` - the name of the parameter

  Throws:
    `java.sql.SQLException` - Always thrown, to indicate that this method is not implemented.

  Since:
    1.6
  See Also:
    `setNString(java.lang.String, java.lang.String)`

### getNCharacterStream

    public java.io.Reader getNCharacterStream(int parameterIndex)
                                       throws java.sql.SQLException

  This method is not supported.

  Retrieves the value of the designated parameter as a `java.io.Reader` object in the Java programming language. It is intended for use when accessing `NCHAR`, `NVARCHAR` and `LONGNVARCHAR` parameters.

  Specified by:
    `getNCharacterStream` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException` - Always thrown, to indicate that this method is not implemented.

  Since:
    1.6

### getNCharacterStream

    public java.io.Reader getNCharacterStream(java.lang.String parameterName)
                                       throws java.sql.SQLException

  This method is not supported.

  Retrieves the value of the designated parameter as a `java.io.Reader` object in the Java programming language. It is intended for use when accessing `NCHAR`, `NVARCHAR` and `LONGNVARCHAR` parameters.

  Specified by:
    `getNCharacterStream` in interface `java.sql.CallableStatement`
  Parameters:
    `parameterName` - the name of the parameter

  Throws:
    `java.sql.SQLException` - Always thrown, to indicate that this method is not implemented.

  Since:
    1.6

### getCharacterStream

    public java.io.Reader getCharacterStream(int parameterIndex)
                                      throws java.sql.SQLException

  This method is not supported.

  Retrieves the value of the designated parameter as a `java.io.Reader` object in the Java programming language.

  Specified by:
    `getCharacterStream` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException` - Always thrown, to indicate that this method is not implemented.

  Since:
    1.6

### getCharacterStream

    public java.io.Reader getCharacterStream(java.lang.String parameterName)
                                      throws java.sql.SQLException

  This method is not supported.

  Retrieves the value of the designated parameter as a `java.io.Reader` object in the Java programming language.

  Specified by:
    `getCharacterStream` in interface `java.sql.CallableStatement`
  Parameters:
    `parameterName` - the name of the parameter

  Throws:
    `java.sql.SQLException` - Always thrown, to indicate that this method is not implemented.

  Since:
    1.6

### setBlob

    public void setBlob(java.lang.String parameterName,
                        java.sql.Blob x)
                 throws java.sql.SQLException

  This method is not supported.

  Sets the designated parameter to the given `java.sql.Blob` object. The driver converts this to an SQL `BLOB` value when it sends it to the database.

  Specified by:
    `setBlob` in interface `java.sql.CallableStatement`
  Parameters:
    `parameterName` - the name of the parameter
    `x` - a `Blob` object that maps an SQL `BLOB` value

  Throws:
    `java.sql.SQLException` - Always thrown, to indicate that this method is not implemented.

  Since:
    1.6

### setClob

    public void setClob(java.lang.String parameterName,
                        java.sql.Clob x)
                 throws java.sql.SQLException

  This method is not supported.

  Sets the designated parameter to the given `java.sql.Clob` object. The driver converts this to an SQL `CLOB` value when it sends it to the database.

  Specified by:
    `setClob` in interface `java.sql.CallableStatement`
  Parameters:
    `parameterName` - the name of the parameter
    `x` - a `Clob` object that maps an SQL `CLOB` value

  Throws:
    `java.sql.SQLException` - Always thrown, to indicate that this method is not implemented.

  Since:
    1.6

### setAsciiStream

    public void setAsciiStream(java.lang.String parameterName,
                               java.io.InputStream x,
                               long length)
                        throws java.sql.SQLException

  This method is not supported.

  Sets the designated parameter to the given input stream, which will have the specified number of bytes. When a very large ASCII value is input to a `LONGVARCHAR` parameter, it may be more practical to send it via a `java.io.InputStream`. Data will be read from the stream as needed until end-of-file is reached. The JDBC driver will do any necessary conversion from ASCII to the database char format.

  Note: This stream object can either be a standard Java stream object or your own subclass that implements the standard interface.

  Specified by:
    `setAsciiStream` in interface `java.sql.CallableStatement`
  Parameters:
    `parameterName` - the name of the parameter
    `x` - the Java input stream that contains the ASCII parameter value
    `length` - the number of bytes in the stream

  Throws:
    `java.sql.SQLException` - Always thrown, to indicate that this method is not implemented.

  Since:
    1.6

### setBinaryStream

    public void setBinaryStream(java.lang.String parameterName,
                                java.io.InputStream x,
                                long length)
                         throws java.sql.SQLException

  This method is not supported.

  Sets the designated parameter to the given input stream, which will have the specified number of bytes. When a very large binary value is input to a `LONGVARBINARY` parameter, it may be more practical to send it via a `java.io.InputStream` object. The data will be read from the stream as needed until end-of-file is reached.

  Note: This stream object can either be a standard Java stream object or your own subclass that implements the standard interface.

  Specified by:
    `setBinaryStream` in interface `java.sql.CallableStatement`
  Parameters:
    `parameterName` - the name of the parameter
    `x` - the java input stream which contains the binary parameter value
    `length` - the number of bytes in the stream

  Throws:
    `java.sql.SQLException` - Always thrown, to indicate that this method is not implemented.

  Since:
    1.6

### setCharacterStream

    public void setCharacterStream(java.lang.String parameterName,
                                   java.io.Reader reader,
                                   long length)
                            throws java.sql.SQLException

  This method is not supported.

  Sets the designated parameter to the given `Reader` object, which is the given number of characters long. When a very large UNICODE value is input to a `LONGVARCHAR` parameter, it may be more practical to send it via a `java.io.Reader` object. The data will be read from the stream as needed until end-of-file is reached. The JDBC driver will do any necessary conversion from UNICODE to the database char format.

  Note: This stream object can either be a standard Java stream object or your own subclass that implements the standard interface.

  Specified by:
    `setCharacterStream` in interface `java.sql.CallableStatement`
  Parameters:
    `parameterName` - the name of the parameter
    `reader` - the `java.io.Reader` object that contains the UNICODE data used as the designated parameter
    `length` - the number of characters in the stream

  Throws:
    `java.sql.SQLException` - Always thrown, to indicate that this method is not implemented.

  Since:
    1.6

### setAsciiStream

    public void setAsciiStream(java.lang.String parameterName,
                               java.io.InputStream x)
                        throws java.sql.SQLException

  This method is not supported.

  Sets the designated parameter to the given input stream. When a very large ASCII value is input to a `LONGVARCHAR` parameter, it may be more practical to send it via a `java.io.InputStream`. Data will be read from the stream as needed until end-of-file is reached. The JDBC driver will do any necessary conversion from ASCII to the database char format.

  Note: This stream object can either be a standard Java stream object or your own subclass that implements the standard interface.

  Note: Consult your JDBC driver documentation to determine if it might be more efficient to use a version of `setAsciiStream` which takes a length parameter.

  Specified by:
    `setAsciiStream` in interface `java.sql.CallableStatement`
  Parameters:
    `parameterName` - the name of the parameter
    `x` - the Java input stream that contains the ASCII parameter value

  Throws:
    `java.sql.SQLException` - Always thrown, to indicate that this method is not implemented.

  Since:
    1.6

### setBinaryStream

    public void setBinaryStream(java.lang.String parameterName,
                                java.io.InputStream x)
                         throws java.sql.SQLException

  This method is not supported.

  Sets the designated parameter to the given input stream. When a very large binary value is input to a `LONGVARBINARY` parameter, it may be more practical to send it via a `java.io.InputStream` object. The data will be read from the stream as needed until end-of-file is reached.

  Note: This stream object can either be a standard Java stream object or your own subclass that implements the standard interface.

  Note: Consult your JDBC driver documentation to determine if it might be more efficient to use a version of `setBinaryStream` which takes a length parameter.

  Specified by:
    `setBinaryStream` in interface `java.sql.CallableStatement`
  Parameters:
    `parameterName` - the name of the parameter
    `x` - the java input stream which contains the binary parameter value

  Throws:
    `java.sql.SQLException` - Always thrown, to indicate that this method is not implemented.

  Since:
    1.6

### setCharacterStream

    public void setCharacterStream(java.lang.String parameterName,
                                   java.io.Reader reader)
                            throws java.sql.SQLException

  This method is not supported.

  Sets the designated parameter to the given `Reader` object. When a very large UNICODE value is input to a `LONGVARCHAR` parameter, it may be more practical to send it via a `java.io.Reader` object. The data will be read from the stream as needed until end-of-file is reached. The JDBC driver will do any necessary conversion from UNICODE to the database char format.

  Note: This stream object can either be a standard Java stream object or your own subclass that implements the standard interface.

  Note: Consult your JDBC driver documentation to determine if it might be more efficient to use a version of `setCharacterStream` which takes a length parameter.

  Specified by:
    `setCharacterStream` in interface `java.sql.CallableStatement`
  Parameters:
    `parameterName` - the name of the parameter
    `reader` - the `java.io.Reader` object that contains the Unicode data

  Throws:
    `java.sql.SQLException` - Always thrown, to indicate that this method is not implemented.

  Since:
    1.6

### setNCharacterStream

    public void setNCharacterStream(java.lang.String parameterName,
                                    java.io.Reader value)
                             throws java.sql.SQLException

  This method is not supported.

  Sets the designated parameter to a `Reader` object. The `Reader` reads the data till end-of-file is reached. The driver does the necessary conversion from Java character format to the national character set in the database.

  Note: This stream object can either be a standard Java stream object or your own subclass that implements the standard interface.

  Note: Consult your JDBC driver documentation to determine if it might be more efficient to use a version of `setNCharacterStream` which takes a length parameter.

  Specified by:
    `setNCharacterStream` in interface `java.sql.CallableStatement`
  Parameters:
    `parameterName` - the name of the parameter
    `value` - the parameter value

  Throws:
    `java.sql.SQLException` - Always thrown, to indicate that this method is not implemented.

  Since:
    1.6

### setClob

    public void setClob(java.lang.String parameterName,
                        java.io.Reader reader)
                 throws java.sql.SQLException

  This method is not supported.

  Sets the designated parameter to a `Reader` object. This method differs from the `setCharacterStream (int, Reader)` method because it informs the driver that the parameter value should be sent to the server as a `CLOB`. When the `setCharacterStream` method is used, the driver may have to do extra work to determine whether the parameter data should be send to the server as a `LONGVARCHAR` or a `CLOB`

  Note: Consult your JDBC driver documentation to determine if it might be more efficient to use a version of `setClob` which takes a length parameter.

  Specified by:
    `setClob` in interface `java.sql.CallableStatement`
  Parameters:
    `parameterName` - the name of the parameter
    `reader` - An object that contains the data to set the parameter value to.

  Throws:
    `java.sql.SQLException` - Always thrown, to indicate that this method is not implemented.

  Since:
    1.6

### setBlob

    public void setBlob(java.lang.String parameterName,
                        java.io.InputStream inputStream)
                 throws java.sql.SQLException

  This method is not supported.

  Sets the designated parameter to a `InputStream` object. This method differs from the `setBinaryStream (int, InputStream)` method because it informs the driver that the parameter value should be sent to the server as a `BLOB`. When the `setBinaryStream` method is used, the driver may have to do extra work to determine whether the parameter data should be send to the server as a `LONGVARBINARY` or a `BLOB`

  Note: Consult your JDBC driver documentation to determine if it might be more efficient to use a version of `setBlob` which takes a length parameter.

  Specified by:
    `setBlob` in interface `java.sql.CallableStatement`
  Parameters:
    `parameterName` - the name of the parameter
    `inputStream` - An object that contains the data to set the parameter value to.

  Throws:
    `java.sql.SQLException` - Always thrown, to indicate that this method is not implemented.

  Since:
    1.6

### setNClob

    public void setNClob(java.lang.String parameterName,
                         java.io.Reader reader)
                  throws java.sql.SQLException

  This method is not supported.

  Sets the designated parameter to a `Reader` object. This method differs from the `setCharacterStream (int, Reader)` method because it informs the driver that the parameter value should be sent to the server as a `NCLOB`. When the `setCharacterStream` method is used, the driver may have to do extra work to determine whether the parameter data should be send to the server as a `LONGNVARCHAR` or a `NCLOB`

  Note: Consult your JDBC driver documentation to determine if it might be more efficient to use a version of `setNClob` which takes a length parameter.

  Specified by:
    `setNClob` in interface `java.sql.CallableStatement`
  Parameters:
    `parameterName` - the name of the parameter
    `reader` - An object that contains the data to set the parameter value to.

  Throws:
    `java.sql.SQLException` - Always thrown, to indicate that this method is not implemented.

  Since:
    1.6

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.